Index: src/trunk/apps/processing/scautoloc/nucleator.h
===================================================================
--- src/trunk/apps/processing/scautoloc/nucleator.h	
+++ src/trunk/apps/processing/scautoloc/nucleator.h
@@ -120,6 +120,8 @@
 	//	void addStation(const DataModel::StationCPtr* station);
 		bool setGridFile(const std::string &gridfile);
 
+		void setLocatorProfile(const std::string &profile);
+
 	public:
 		// The Nucleator reads Pick's and Amplitude's. Only picks
 		// with associated amplitude can be fed into the Nucleator.
Index: src/trunk/apps/processing/scautoloc/config.cpp
===================================================================
--- src/trunk/apps/processing/scautoloc/config.cpp
+++ src/trunk/apps/processing/scautoloc/config.cpp
@@ -161,6 +161,7 @@
 	SEISCOMP_INFO("playback                         %s",     playback ? "true":"false");
 	SEISCOMP_INFO("useManualOrigins                 %s",     useManualOrigins ? "true":"false");
 	SEISCOMP_INFO("useImportedOrigins               %s",     useImportedOrigins ? "true":"false");
+	SEISCOMP_INFO("locatorProfile                   %s",     locatorProfile.c_str());
 //	SEISCOMP_INFO("maxRadiusFactor                  %g", 	 maxRadiusFactor);
 }
 
Index: src/trunk/apps/processing/scautoloc/autoloc.cpp
===================================================================
--- src/trunk/apps/processing/scautoloc/autoloc.cpp
+++ src/trunk/apps/processing/scautoloc/autoloc.cpp
@@ -2784,6 +2784,13 @@
 }
 
 
+void Autoloc3::setLocatorProfile(const std::string &profile) {
+	_config.locatorProfile = profile;
+	_nucleator.setLocatorProfile(profile);
+	_relocator.setProfile(profile);
+}
+
+
 void Autoloc3::setGridFile(const string &gridfile)
 {
 	_nucleator.setGridFile(gridfile);
Index: src/trunk/apps/processing/scautoloc/autoloc.h
===================================================================
--- src/trunk/apps/processing/scautoloc/autoloc.h
+++ src/trunk/apps/processing/scautoloc/autoloc.h
@@ -196,6 +196,9 @@
 			std::string pickLogFile;
 			int         pickLogDate;
 
+			// locator profile, e.g. "iasp91", "tab" etc.
+			std::string locatorProfile;
+
 			// The station configuration file
 			std::string staConfFile;
 
@@ -219,6 +222,7 @@
 		void setPickLogFilePrefix(const std::string &);
 		void setPickLogFileName(const std::string &);
 		void setStations(StationDB *);
+		void setLocatorProfile(const std::string &);
 
 		bool init();
 
Index: src/trunk/apps/processing/scautoloc/app.cpp
===================================================================
--- src/trunk/apps/processing/scautoloc/app.cpp	
+++ src/trunk/apps/processing/scautoloc/app.cpp	
@@ -196,9 +196,9 @@
 	try { _config.minPickAffinity = configGetDouble("autoloc.minPickAffinity"); } catch (...) {}
 
 	try { _config.minPhaseCount = configGetInt("autoloc.minPhaseCount"); } catch (...) {}
-	try { _config.minScore = configGetInt("autoloc.minScore"); } catch (...) {}
+	try { _config.minScore = configGetDouble("autoloc.minScore"); } catch (...) {}
 	try { _config.minPhaseCountXXL = configGetInt("autoloc.minPhaseCountXXL"); } catch (...) {}
-	try { _config.minScoreBypassNucleator = configGetInt("autoloc.minScoreBypassNucleator"); } catch (...) {}
+	try { _config.minScoreBypassNucleator = configGetDouble("autoloc.minScoreBypassNucleator"); } catch (...) {}
 
 	try { _config.minStaCountIgnorePKP = configGetInt("autoloc.minStaCountIgnorePKP"); } catch (...) {}
 	try { _config.reportAllPhases = configGetBool("autoloc.reportAllPhases"); } catch (...) {}
@@ -229,7 +229,7 @@
 	try { _amplTypeSNR = configGetString("autoloc.amplTypeSNR"); } catch (...) {}
 	try { _amplTypeAbs = configGetString("autoloc.amplTypeAbs"); } catch (...) {}
 	try { _stationLocationFile = configGetString("autoloc.stationLocations"); } catch (...) {}
-	try { ::Autoloc::Locator::setDefaultProfile(configGetString("autoloc.locator.profile")); } catch (...) {}
+	try { setLocatorProfile(configGetString("autoloc.locator.profile")); } catch (...) {}
 
 	try { _config.playback = configGetBool("autoloc.playback"); } catch ( ... ) {}
 
Index: src/trunk/apps/processing/scautoloc/config/scautoloc.cfg
===================================================================
--- src/trunk/apps/processing/scautoloc/config/scautoloc.cfg
+++ src/trunk/apps/processing/scautoloc/config/scautoloc.cfg
@@ -2,7 +2,7 @@
 author = @appname@@@@hostname@
 
 ## Send to the LOCATION group
-connection.primarygroup = LOCATION
+connection.primaryGroup = LOCATION
 
 ## Receive objects from PICK and AMPLITUDE groups
 connection.subscriptions = PICK, AMPLITUDE
@@ -45,13 +45,13 @@
 #autoloc.wakeupInterval = 5
 
 ## Grid configuration
-#autoloc.grid = @DATADIR@/autoloc/grid.conf
+#autoloc.grid = @DATADIR@/scautoloc/grid.conf
 
 ## Station configuration
-#autoloc.stationConfig = @DATADIR@/autoloc/station.conf
+#autoloc.stationConfig = @DATADIR@/scautoloc/station.conf
 
 ## This is only relevant in offline/testing mode
-#locator.stationLocations = @DATADIR@/autoloc/station-locations.conf
+#locator.stationLocations = @DATADIR@/scautoloc/station-locations.conf
 
 ## Manual picks/origins can be fed back into autoloc for two purposes:
 ##   * passive association to a solution from a "trusted" source so that we
Index: src/trunk/apps/processing/scautoloc/descriptions/scautoloc.xml
===================================================================
--- src/trunk/apps/processing/scautoloc/descriptions/scautoloc.xml
+++ src/trunk/apps/processing/scautoloc/descriptions/scautoloc.xml
@@ -38,7 +38,7 @@
 					Stations outside the maximum distance range are ignored.
 					</description> 
 				</parameter>
-				<parameter name="maxDistanceXXL" type="double" default="10" unit="deg">
+				<parameter name="maxStationDistanceXXL" type="double" default="10" unit="deg">
 					<description>
 					XXL picks from stations beyond maxDistanceXXL are ignored.
 					</description> 
Index: src/trunk/apps/processing/scautoloc/nucleator.cpp
===================================================================
--- src/trunk/apps/processing/scautoloc/nucleator.cpp
+++ src/trunk/apps/processing/scautoloc/nucleator.cpp
@@ -68,6 +68,12 @@
 	return _readGrid(gridfile);
 }
 
+
+void GridSearch::setLocatorProfile(const std::string &profile) {
+	_relocator.setProfile(profile);
+}
+
+
 int GridSearch::cleanup(const Time& minTime)
 {
 	int count = 0;
